Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		ClanLib
Version:	2.0.3
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.clanlib.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	ClanLib is a cross platform C++ framework.
BuildRequires:  SDL-devel
BuildRequires:  libXi-devel
BuildRequires:  libXxf86vm-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libmikmod-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: libXi-devel
BuildRequires: libXxf86vm-devel
BuildRequires: mesa-libGL-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
ClanLib is a cross platform C++ framework.
Essentially the library offers a series of different functionality under a streamlined API.
Its primary focus is on games, although its not limited for that usage only.
For more details see: http://www.clanlib.org

#%package doc
#Summary: 	%{name} docs.
#Group:     	%{group}
#Requires: 	%{name} = %{version}-%{release}

#%description doc
#Documentation files for %{name}.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--disable-debug \
--enable-asm386 \
--enable-dyn \
--disable-dependency-tracking
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_aclocal
cp Setup/Unix/clanlib.m4 $RPM_BUILD_ROOT%_aclocal
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

#%files doc
#%defattr(-,root,root)
##%_datadir/doc

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_aclocal
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.3-1
- version update
* Fri Mar 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-2
- added missing BuildRequires
* Fri Mar 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-1
- Version update
* Sun Nov 20 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.8-2
- rebuilt, removed wrong Obsoletes-Tag
* Fri Apr 14 2005 Christian Wasem <wasem@ccux-linux.de> - 0.7.8-1
- Update to Version 0.7.8
